import { scaleOrdinal } from 'd3';

const colorScale = scaleOrdinal()
  .domain(['apple','lemon'])
  .range(['#c11d1d','#eae600']);

const radiusScale = scaleOrdinal()
  .domain(['apple','lemon'])
  .range([50,30]);


export const fruitBowl = (selection, props) => {
  const { fruits, height } = props;
  
  const bowl = selection.selectAll('rect')
    .data([null])
    .enter().append('rect')
      .attr('width',600)
      .attr('height',200)
      .attr('y',150)
      .attr('rx',150);
  
  const groups = selection.selectAll('g').data(fruits);
  const groupsEnter = groups.enter().append('g');
  groupsEnter
    .merge(groups)
      .attr('transform',(d,i)=>
            `translate(${i*120+60},${height/2})`
           );
  groups.exit().remove();
    
  groupsEnter.append('circle')
    .merge(groups.select('circle'))
      .attr('fill', d => colorScale(d.type))
      .attr('r', d => radiusScale(d.type));
  
  groupsEnter.append('text')
    .merge(groups.select('text'))
      .text(d => d.type)
      .attr('y', 100);    
};